# Class PRS_Problem
extends PRS_SolutionElement

PRS_Problem is the root object of a set of associated objects that describe a Problem. One or more Problems may be associated with a Solution. The Problem is described by PRS_Statement and PRS_Product instances indirectly associated to the PRS_Problem through a PRS_Expression.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_SolutionElement
|
+--PRS_Problem

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | PRS_Problem is the root object of a set of associated objects that describe a Problem. One or more Problems may be associated with a Solution. The Problem is described by PRS_Statement and PRS_Product instances indirectly associated to the PRS_Problem through a PRS_Expression.
UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Impact | uint16 |
Description | string | The Impact describes the severity of the problem. The value of this property shall be an integer value in the range of 0 to 100, inclusive.
MaxValue | sint64 | 100
MinValue | sint64 | 0
Likelihood | uint16 |
Description | string | The Likelihood describes the potential for the Problem to occur. The value of this property shall be an integer value in the range of 0 to 100, inclusive.
MaxValue | sint64 | 100
MinValue | sint64 | 0

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods